div.form-row
  div.Contenedor--Qr
    qrcode([qrdata]="tQrString" width="128"  errorCorrectionLevel="M" elementType="canvas")
  div.Contenedor--Datos
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-qrcode
      input(type="text",
      [readonly]="true",
      placeholder="Cupòn",
      [(ngModel)]="tCupon.Codcupon",
      size="sm")#txtCodcupon.ControlInput--Input
div.form-row
  div.form-group.col-12
    label(for="txtDescripcion").form-label.h6 Descripción
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-align-justify
      input(type="text",
      placeholder="Descripción",
      [(ngModel)]="tCupon.Descripcion",
      name="Descripcion",
      required="",
      size="sm")#txtDescripcion.ControlInput--Input
